Index: branches/2.2/jabberit_messenger/jmessenger/js/jscode/loadIM.js
===================================================================
--- branches/2.2/jabberit_messenger/jmessenger/js/jscode/loadIM.js	(revision 3124)
+++ branches/2.2/jabberit_messenger/jmessenger/js/jscode/loadIM.js	(revision 3129)
@@ -1257,5 +1257,7 @@
 	function createChatRooms()
 	{
- 		var paramCreateChatRoom = 
+		_winBuild("window_List_Rooms_jabberit_messenger","remove");
+		
+		var paramCreateChatRoom = 
 		{
 			'lang_nameChatRoom'	: "Nome da Sala",
@@ -1314,5 +1316,5 @@
 			var winListRooms =
     		{	
-    			 id_window		: "window_List_Rooms",
+				 id_window		: "window_List_Rooms_jabberit_messenger",
     			 width			: 450,
     			 height			: 300,
@@ -1334,5 +1336,5 @@
 				'lang1' 		: 'Criar Nova Sala',
 				'lang2'			: 'Fechar',
-				'onclickClose'	: '_winBuild("window_List_Rooms","remove");',
+				'onclickClose'	: '_winBuild("window_List_Rooms_jabberit_messenger","remove");',
 				'onclickSubmit'	: 'loadscript.createChatRooms();'
 			}; 
@@ -1438,5 +1440,4 @@
 	function joinRoom( jidRoom, nameRoom )
 	{
-		
 		var append_nick = function( room, nick )
 	    {
@@ -1480,4 +1481,6 @@
 		    }
 	    }
+	    
+	    _winBuild("window_List_Rooms_jabberit_messenger","remove");
 	}
 	
Index: branches/2.2/jabberit_messenger/jmessenger/js/jscode/loadIM.mini.js
===================================================================
--- branches/2.2/jabberit_messenger/jmessenger/js/jscode/loadIM.mini.js	(revision 3127)
+++ branches/2.2/jabberit_messenger/jmessenger/js/jscode/loadIM.mini.js	(revision 3129)
@@ -269,9 +269,9 @@
 var paramsNotification={'lang_1':"Notificação",'lang_2':"O(s) usuário(s) abaixo pedem sua autorização.",'lang_3':"Autorizar",'lang_4':"Remover"};var winNotification={id_window:"window_notification_new_users",width:400,height:300,top:100,left:400,draggable:true,visible:"display",resizable:true,zindex:zIndex++,title:"Expresso Messenger - Notificação de Novos Usuários",closeAction:"remove",content:Xtools.parse(_users,"notificationNewUsers.xsl",paramsNotification)};_winBuild(winNotification);}
 function createChatRooms()
-{var paramCreateChatRoom={'lang_nameChatRoom':"Nome da Sala",'lang_nickName':"Apelido"};var winCreateChatRooms={id_window:"window_create_chat_rooms",width:360,height:160,top:100,left:410,draggable:true,visible:"display",resizable:true,zindex:loadscript.getZIndex(),title:"Expresso Messenger - Criar Sala de Bate Papo",closeAction:"remove",content:Xtools.parse(Xtools.xml("create_chat_room"),"createChatRoom.xsl",paramCreateChatRoom)};_winBuild(winCreateChatRooms);var _pButtons={'lang1':'Ingressar','lang2':'Fechar','onclickClose':'_winBuild("window_create_chat_rooms","remove");','onclickSubmit':'TrophyIM.createChatRooms(); _winBuild("window_create_chat_rooms","remove");'};document.getElementById('buttons_createChatRoom').innerHTML=Xtools.parse(Xtools.xml('buttons_main'),'buttons.xsl',_pButtons);}
+{_winBuild("window_List_Rooms_jabberit_messenger","remove");var paramCreateChatRoom={'lang_nameChatRoom':"Nome da Sala",'lang_nickName':"Apelido"};var winCreateChatRooms={id_window:"window_create_chat_rooms",width:360,height:160,top:100,left:410,draggable:true,visible:"display",resizable:true,zindex:loadscript.getZIndex(),title:"Expresso Messenger - Criar Sala de Bate Papo",closeAction:"remove",content:Xtools.parse(Xtools.xml("create_chat_room"),"createChatRoom.xsl",paramCreateChatRoom)};_winBuild(winCreateChatRooms);var _pButtons={'lang1':'Ingressar','lang2':'Fechar','onclickClose':'_winBuild("window_create_chat_rooms","remove");','onclickSubmit':'TrophyIM.createChatRooms(); _winBuild("window_create_chat_rooms","remove");'};document.getElementById('buttons_createChatRoom').innerHTML=Xtools.parse(Xtools.xml('buttons_main'),'buttons.xsl',_pButtons);}
 function listRooms(element)
 {element=element.getElementsByTagName('item');var _roomsCount=0;var _xml=Xtools.xml('listRooms');var _listRooms=_xml.documentElement;var show=function()
 {if(_roomsCount!=element.length)
-return false;var paramsListRooms={"path_jabberit":path_jabberit};var winListRooms={id_window:"window_List_Rooms",width:450,height:300,top:100,left:400,draggable:true,visible:"display",resizable:true,zindex:loadscript.getZIndex(),title:"Expresso Messenger - Salas de Bate Papo",closeAction:"remove",content:Xtools.parse(_xml,"listRooms.xsl",paramsListRooms)};_winBuild(winListRooms);var _pButtons={'lang1':'Criar Nova Sala','lang2':'Fechar','onclickClose':'_winBuild("window_List_Rooms","remove");','onclickSubmit':'loadscript.createChatRooms();'};document.getElementById('buttons_addChatRoom').innerHTML=Xtools.parse(Xtools.xml('buttons_main'),'buttons.xsl',_pButtons);};var _add_room=function(_room)
+return false;var paramsListRooms={"path_jabberit":path_jabberit};var winListRooms={id_window:"window_List_Rooms_jabberit_messenger",width:450,height:300,top:100,left:400,draggable:true,visible:"display",resizable:true,zindex:loadscript.getZIndex(),title:"Expresso Messenger - Salas de Bate Papo",closeAction:"remove",content:Xtools.parse(_xml,"listRooms.xsl",paramsListRooms)};_winBuild(winListRooms);var _pButtons={'lang1':'Criar Nova Sala','lang2':'Fechar','onclickClose':'_winBuild("window_List_Rooms_jabberit_messenger","remove");','onclickSubmit':'loadscript.createChatRooms();'};document.getElementById('buttons_addChatRoom').innerHTML=Xtools.parse(Xtools.xml('buttons_main'),'buttons.xsl',_pButtons);};var _add_room=function(_room)
 {_roomsCount++;var _ROOM=_xml.createElement('room')
 var _JIDROOM=_xml.createElement('jidRoom')
@@ -309,5 +309,6 @@
 {_prompt=_prompt.replace(/^\s+|\s+$|^\n|\n$/g,"");var room_nick=append_nick(jidRoom,nickName);if(_prompt&&_prompt!="")
 {var room_nick=append_nick(jidRoom,_prompt);}
-TrophyIM.makeChatRoom(jidRoom,nameRoom);TrophyIM.activeChatRoom.name[TrophyIM.activeChatRoom.name.length]=room_nick;TrophyIM.joinChatRoom(room_nick);}}}
+TrophyIM.makeChatRoom(jidRoom,nameRoom);TrophyIM.activeChatRoom.name[TrophyIM.activeChatRoom.name.length]=room_nick;TrophyIM.joinChatRoom(room_nick);}}
+_winBuild("window_List_Rooms_jabberit_messenger","remove");}
 function loadIM()
 {if(arguments.length>0)