Index: branches/2.0/phpgwapi/setup/setup.inc.php
===================================================================
--- branches/2.0/phpgwapi/setup/setup.inc.php	(revision 2946)
+++ branches/2.0/phpgwapi/setup/setup.inc.php	(revision 3150)
@@ -14,5 +14,5 @@
 	$setup_info['phpgwapi']['name']      = 'phpgwapi';
 	$setup_info['phpgwapi']['title']     = 'phpgwapi';
-	$setup_info['phpgwapi']['version']   = '2.0.007';
+	$setup_info['phpgwapi']['version']   = '2.0.008';
 	$setup_info['phpgwapi']['versions']['current_header'] = '2.0.1';
 	$setup_info['phpgwapi']['enable']    = 3;
Index: branches/2.0/phpgwapi/setup/tables_update.inc.php
===================================================================
--- branches/2.0/phpgwapi/setup/tables_update.inc.php	(revision 2946)
+++ branches/2.0/phpgwapi/setup/tables_update.inc.php	(revision 3150)
@@ -1709,3 +1709,9 @@
 		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
 	}	
+	$test[] = '2.0.007';
+	function phpgwapi_upgrade2_0_007()
+	{
+		$GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.0.008';
+		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
+	}	
 ?>
Index: branches/2.0/contactcenter/setup/tables_update.inc.php
===================================================================
--- branches/2.0/contactcenter/setup/tables_update.inc.php	(revision 2946)
+++ branches/2.0/contactcenter/setup/tables_update.inc.php	(revision 3150)
@@ -136,3 +136,8 @@
 		return $GLOBALS['setup_info']['contactcenter']['currentver'];
 	}
+	$test[] = '2.0.002';
+	function contactcenter_upgrade2_0_002() {
+		$GLOBALS['setup_info']['contactcenter']['currentver'] = '2.0.003';
+		return $GLOBALS['setup_info']['contactcenter']['currentver'];
+	}	
 ?>
Index: branches/2.0/contactcenter/setup/setup.inc.php
===================================================================
--- branches/2.0/contactcenter/setup/setup.inc.php	(revision 2946)
+++ branches/2.0/contactcenter/setup/setup.inc.php	(revision 3150)
@@ -17,5 +17,5 @@
 	$setup_info['contactcenter']['name']      = 'contactcenter';
 	$setup_info['contactcenter']['title']     = 'ContactCenter';
-	$setup_info['contactcenter']['version']   = '2.0.002';
+	$setup_info['contactcenter']['version']   = '2.0.003';
 	$setup_info['contactcenter']['app_order'] = 4;
 	$setup_info['contactcenter']['enable']    = 1;
Index: branches/2.0/calendar/setup/setup.inc.php
===================================================================
--- branches/2.0/calendar/setup/setup.inc.php	(revision 2946)
+++ branches/2.0/calendar/setup/setup.inc.php	(revision 3150)
@@ -12,5 +12,5 @@
 
 	$setup_info['calendar']['name']    = 'calendar';
-	$setup_info['calendar']['version'] = '2.0.005';
+	$setup_info['calendar']['version'] = '2.0.006';
 	$setup_info['calendar']['app_order'] = 3;
 	$setup_info['calendar']['enable']  = 1;
Index: branches/2.0/calendar/setup/tables_update.inc.php
===================================================================
--- branches/2.0/calendar/setup/tables_update.inc.php	(revision 2946)
+++ branches/2.0/calendar/setup/tables_update.inc.php	(revision 3150)
@@ -93,3 +93,9 @@
 		return $GLOBALS['setup_info']['calendar']['currentver'];
 	}	
+	$test[] = '2.0.005';
+	function calendar_upgrade2_0_005()
+	{
+		$GLOBALS['setup_info']['calendar']['currentver'] = '2.0.006';
+		return $GLOBALS['setup_info']['calendar']['currentver'];
+	}	
 ?>
Index: branches/2.0/expressoMail1_2/setup/tables_update.inc.php
===================================================================
--- branches/2.0/expressoMail1_2/setup/tables_update.inc.php	(revision 2946)
+++ branches/2.0/expressoMail1_2/setup/tables_update.inc.php	(revision 3150)
@@ -128,3 +128,8 @@
 		return $setup_info['expressoMail1_2']['currentver'];
 	}	
+	$test[] = '2.0.007';
+	function expressoMail1_2_upgrade2_0_007() {
+		$setup_info['expressoMail1_2']['currentver'] = '2.0.008';
+		return $setup_info['expressoMail1_2']['currentver'];
+	}	
 ?>
Index: branches/2.0/expressoMail1_2/setup/setup.inc.php
===================================================================
--- branches/2.0/expressoMail1_2/setup/setup.inc.php	(revision 2946)
+++ branches/2.0/expressoMail1_2/setup/setup.inc.php	(revision 3150)
@@ -12,5 +12,5 @@
 	$setup_info['expressoMail1_2']['name']      	= 'expressoMail1_2';
 	$setup_info['expressoMail1_2']['title']     	= 'Expresso Mail';
-	$setup_info['expressoMail1_2']['version']   	= '2.0.007';
+	$setup_info['expressoMail1_2']['version']   	= '2.0.008';
 	$setup_info['expressoMail1_2']['app_order'] 	= 2;
 	$setup_info['expressoMail1_2']['tables'][]		= 'phpgw_expressomail_contacts';