Index: branches/2.2/calendar/inc/class.uicalendar.inc.php
===================================================================
--- branches/2.2/calendar/inc/class.uicalendar.inc.php	(revision 1949)
+++ branches/2.2/calendar/inc/class.uicalendar.inc.php	(revision 3193)
@@ -684,5 +684,5 @@
 			{
 
-//NDEE: printer-friendly what?
+			//NDEE: printer-friendly what?
 				$minical_this = '';
 				$minical_prev = '';
@@ -700,5 +700,5 @@
 			{
 
-//NDEE: printer-friendly (weekly-view)
+				//NDEE: printer-friendly (weekly-view)
 				$printer = '<body bgcolor="'.$this->theme['bg_color'].'">';
 				$prev_week_link = '';
@@ -727,5 +727,5 @@
 				'print'			=>	$print
 			);
-//todo
+			//todo
 			$p = CreateObject('phpgwapi.Template',$this->template_dir);
 			$p->set_file(
@@ -1709,6 +1709,8 @@
 		function day()
 		{
-			
 			$this->bo->read_holidays();
+
+			$next = $GLOBALS['phpgw']->datetime->makegmttime(0,0,0,$this->bo->month,$this->bo->day + 1,$this->bo->year);
+			$prev = $GLOBALS['phpgw']->datetime->makegmttime(0,0,0,$this->bo->month,$this->bo->day - 1,$this->bo->year);
 
 			if (!$this->bo->printer_friendly || ($this->bo->printer_friendly && @$this->bo->prefs['calendar']['display_minicals']))
@@ -1726,5 +1728,5 @@
 			{
 
-//NDEE: printer-friendly (what?)
+				//NDEE: printer-friendly (what?)
 				$minical = '';
 			}
@@ -1733,4 +1735,6 @@
 			{
 				$printer = '';
+				$prev_day_link = '<a href="'.$this->page('day','&date='.$prev['full']).'">&lt;&lt;</a>';
+				$next_day_link = '<a href="'.$this->page('day','&date='.$next['full']).'">&gt;&gt;</a>';
 				$param = '&date='.sprintf("%04d%02d%02d",$this->bo->year,$this->bo->month,$this->bo->day).'&friendly=1';
 				$print = '<a href="'.$this->page('day'.$param)."\" TARGET=\"cal_printer_friendly\" onMouseOver=\"window.status = '".lang('Generate printer-friendly version')."'\">[".lang('Printer Friendly').']</a>';
@@ -1739,5 +1743,5 @@
 			{
 
-//NDEE: printer-friendly (daily-view)
+				//NDEE: printer-friendly (daily-view)
 				$GLOBALS['phpgw_info']['flags']['nofooter'] = True;
 				$printer = '<body bgcolor="'.$this->theme['bg_color'].'">';
@@ -1771,9 +1775,11 @@
 				'date'				=> $this->bo->long_date($now),
 				'username'			=> $GLOBALS['phpgw']->common->grab_owner_name($this->bo->owner),
+				'prev_day_link'		=> $prev_day_link,
+				'next_day_link'		=> $next_day_link,
 				'print'				=> $print,
 				'lang_todos'		=> $todo_label,
 				'todos'				=> $this->bo->printer_friendly ? $todos :
 
-//NDEE: todo's layout
+					//NDEE: todo's layout
 					"<div style=\"overflow: auto; max-height: 200px\">\n$todos</div>\n"
 			);
Index: branches/2.2/calendar/templates/default/day.tpl
===================================================================
--- branches/2.2/calendar/templates/default/day.tpl	(revision 855)
+++ branches/2.2/calendar/templates/default/day.tpl	(revision 3193)
@@ -7,5 +7,5 @@
 				<tr>
 					<td class="calendar_dayview_table_header">
-      					{date}&nbsp;<span class="calendar_user_identifier">:&nbsp;{username}&nbsp;:</span>
+      					<b>{prev_day_link}</b> :: {date}&nbsp;<span class="calendar_user_identifier">:&nbsp;{username}&nbsp;:</span> :: <b>{next_day_link}</b>
 						<br />
      				</td>
Index: branches/2.2/calendar/templates/default/week.tpl
===================================================================
--- branches/2.2/calendar/templates/default/week.tpl	(revision 937)
+++ branches/2.2/calendar/templates/default/week.tpl	(revision 3193)
@@ -1,2 +1,25 @@
+<table id="calendar_index_table" border="0" width="100%" cols="5">
+	<tr>
+		<td align="left" valign="top" width="20%">
+		</td>
+		<td align="center" valign="middle" width="15%">
+			<b>{prev_week_link}</b>
+		</td>
+		<td align="center" width="30%">
+			<span class="calendar_month_identifier">
+				{week_identifier}
+			</span>
+				<br />
+			<span class="calendar_user_identifier">
+				:&nbsp;{username}&nbsp;:
+			</span>
+		</td>
+		<td align="center" valign="middle" width="15%">
+			{next_week_link}
+		</td>
+		<td align="right" valign="top" width="20%">
+		</td>
+	</tr>
+</table>
 {week_display}
 <!-- from month_day.tpl -->