Index: /branches/2.2/contactcenter/inc/class.so_group.inc.php
===================================================================
--- /branches/2.2/contactcenter/inc/class.so_group.inc.php	(revision 3216)
+++ /branches/2.2/contactcenter/inc/class.so_group.inc.php	(revision 3217)
@@ -117,4 +117,5 @@
 						. ' phpgw_cc_contact.names_ordered,'
 						. ' phpgw_cc_contact.alias,'
+						. ' phpgw_cc_connections.connection_name,'
 						. ' phpgw_cc_connections.connection_value,'
 						. ' phpgw_cc_contact_conns.id_typeof_contact_connection,'
@@ -125,5 +126,6 @@
 						. ' phpgw_cc_city.city_name,'
 						. ' phpgw_cc_state.state_name,'
-						. ' phpgw_cc_addresses.id_country';
+						. ' phpgw_cc_addresses.id_country'
+						;
 
 				$query .= ' from'
@@ -134,9 +136,11 @@
 						. ' left join phpgw_cc_addresses on ( phpgw_cc_contact_addrs.id_address = phpgw_cc_addresses.id_address )'
 						. ' left join phpgw_cc_city on ( phpgw_cc_addresses.id_city = phpgw_cc_city.id_city )'
-						. ' left join phpgw_cc_state on ( phpgw_cc_addresses.id_state = phpgw_cc_state.id_state)';
+						. ' left join phpgw_cc_state on ( phpgw_cc_addresses.id_state = phpgw_cc_state.id_state)'
+						;
 
 				$query .= ' where'
 						. " phpgw_cc_contact.id_owner = {$this->owner}"
-						. ' and phpgw_cc_connections.connection_is_default = true';
+						//. ' and phpgw_cc_connections.connection_is_default = true'
+						;
 
 			}
@@ -180,20 +184,25 @@
 						'connection_value' => '',
 						'phone' => '',
+						'mobile' => '',
 						'names_ordered' => '',
 						'id_contact' => '',
 						'id_connection' => '',
 						'alias' => '',
+						'main-mail' => '',
+						'aternative-mail' => '',
+						'business-phone' => '',
 						'business-address' => '',
-						'complement' => '',
-						'postal_code' => '',
-						'city_name' => '',
-						'state_name' => '',
-						'id_country' => '',
+						'business-complement' => '',
+						'business-postal_code' => '',
+						'business-city_name' => '',
+						'business-state_name' => '',
+						'business-id_country' => '',
+						'home-phone' => '',
 						'home-address' => '',
-						'complement' => '',
-						'postal_code' => '',
-						'city_name' => '',
-						'state_name' => '',
-						'id_country' => ''
+						'home-complement' => '',
+						'home-postal_code' => '',
+						'home-city_name' => '',
+						'home-state_name' => '',
+						'home-id_country' => ''
 					);
 
@@ -202,7 +211,28 @@
 					case 1 :
 						$all_contacts[ $object[ 'id_contact' ] ][ 'connection_value' ] = $object[ 'connection_value' ];
+						switch ( strtolower( $object[ 'connection_name' ] ) )
+						{
+							case 'alternativo' :
+								$all_contacts[ $object[ 'id_contact' ] ][ 'alternative-mail' ] = $object[ 'connection_value' ];
+								break;
+							case 'principal' :
+								$all_contacts[ $object[ 'id_contact' ] ][ 'main-mail' ] = $object[ 'connection_value' ];
+								break;
+						}
 						break;
 					case 2 :
 						$all_contacts[ $object[ 'id_contact' ] ][ 'phone' ] = $object[ 'connection_value' ];
+						switch ( strtolower( $object[ 'connection_name' ] ) )
+						{
+							case 'casa' :
+								$all_contacts[ $object[ 'id_contact' ] ][ 'home-phone' ] = $object[ 'connection_value' ];
+								break;
+							case 'celular' :
+								$all_contacts[ $object[ 'id_contact' ] ][ 'mobile' ] = $object[ 'connection_value' ];
+								break;
+							case 'trabalho' :
+								$all_contacts[ $object[ 'id_contact' ] ][ 'business-phone' ] = $object[ 'connection_value' ];
+								break;
+						}
 						break;
 				}
Index: /branches/2.2/contactcenter/inc/class.ui_data.inc.php
===================================================================
--- /branches/2.2/contactcenter/inc/class.ui_data.inc.php	(revision 3216)
+++ /branches/2.2/contactcenter/inc/class.ui_data.inc.php	(revision 3217)
@@ -3479,7 +3479,7 @@
 
 				case 'expresso':
-					$streamBuffer = 'Nome,Apelido,Email,Telefone,'
-						. 'Endereço Comercial,Complemento End. Comercial,CEP Comercial,Cidade End. Comercial,Estado End. Comercial,País End. Comercial'
-						. 'Endereço Residencial,Complemento End. Residencial,CEP Residencial,Cidade End. Residencial,Estado End. Residencial,País End. Residencial'
+					$streamBuffer = 'Nome,Apelido,E-mail Principal,E-mail Alternativo,Celular,'
+						. 'Telefone Comercial,Endereço Comercial,Complemento End. Comercial,CEP Comercial,Cidade End. Comercial,Estado End. Comercial,País End. Comercial,'
+						. 'Telefone Residencial,Endereço Residencial,Complemento End. Residencial,CEP Residencial,Cidade End. Residencial,Estado End. Residencial,País End. Residencial'
 						. "\r\n";
 
@@ -3487,6 +3487,8 @@
 						$streamBuffer .= $object[ 'names_ordered'] . ','
 							. $object[ 'alias' ] . ','
-							. $object[ 'connection_value' ] . ','
-							. $object[ 'phone' ] . ','
+							. $object[ 'main-mail' ] . ','
+							. $object[ 'alternative-mail' ] . ','
+							. $object[ 'mobile' ] . ','
+							. $object[ 'business-phone' ] . ','
 							. $object[ 'business-address' ] . ','
 							. $object[ 'business-complement' ] . ','
@@ -3495,4 +3497,5 @@
 							. $object[ 'business-state_name' ] . ','
 							. $object[ 'business-id_country' ] . ','
+							. $object[ 'home-phone' ] . ','
 							. $object[ 'home-address' ] . ','
 							. $object[ 'home-complement' ] . ','